﻿@model IEnumerable<ProjectUni.Models.Result>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
    var email = Session["Email"].ToString();
}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body" style="background-color:rgba(0, 0, 0, 0.81);margin-bottom:20px;">
            <h2 style="color:white">Index</h2>


            <table class="table" style="color:white">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.topics.TName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.UserEmail)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.TotalQues)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.CorrectAns)
                    </th>
                    <th>
                        @Html.DisplayName("WrongAns")
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.TotalMarks)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.ObtainedMarks)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Status)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Date)
                    </th>
                </tr>

                @foreach (var item in Model.Where(r => r.UserEmail == email))
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.topics.TName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.UserEmail)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.TotalQues)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.CorrectAns)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.WrontAns)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.TotalMarks)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.ObtainedMarks)
                        </td>
                        <td>
                            @{ if (item.Status.ToString() == "True")
                                {
                                    <p>Pass</p>
                                }
                                else
                                {
                                    <p>Fail</p>
                                }
                            }
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Date)
                        </td>
                    </tr>
                }

            </table>

        </div>
    </div>
</div>
